XNF(4)

NAME
xnf - Xen Netfront networking interface

SYNOPSIS
xnf* at xen?

DESCRIPTION
The xnf driver provides support for a paravirtual networking interface “Netfront” native to the Xen hypervisor.

During attach the xnf driver will ask the hypervisor to switch all configured virtual interfaces over to the Netfront interface regardless of the VM configuration.

SEE ALSO
autoconf(4), intro(4), xen(4)

HISTORY
The xnf driver first appeared in OpenBSD 5.9.

AUTHORS
The xnf driver was written by Mike Belopuhov <mikeb@openbsd.org> from scratch, inspired by the FreeBSD implementation.